Bug 12588 - cm_prepare_connection may return NT_STATUS_OK without a valid connection.
cm_prepare_connection may return NT_STATUS_OK without a valid connection.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 23:41 UTC by Stefan Metzmacher
Modified: 2017-03-02 08:04 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-6-test (2.27 KB, patch)
2017-02-22 17:55 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-5-test (2.26 KB, patch)
2017-02-22 17:55 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-4-test (2.26 KB, patch)
2017-02-22 18:03 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-02-15 23:41:48 UTC
If cm_get_ipc_credentials() returned anonymous creds and signing is required
we were returning the result of cm_get_ipc_credentials() instead of
the original error.
Comment 1 Stefan Metzmacher 2017-02-22 17:55:12 UTC
Created attachment 12966 [details]
Patch for v4-6-test
Comment 2 Stefan Metzmacher 2017-02-22 17:55:43 UTC
Created attachment 12967 [details]
Patch for v4-5-test
Comment 3 Stefan Metzmacher 2017-02-22 18:03:10 UTC
Created attachment 12968 [details]
Patch for v4-4-test
Comment 4 Ralph Böhme 2017-02-22 18:08:19 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 5 Stefan Metzmacher 2017-02-27 22:32:33 UTC
Pushed to autobuild-v4-{4,5,6}-test.
Comment 6 Karolin Seeger 2017-03-02 08:04:56 UTC
(In reply to Stefan Metzmacher from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!